Bug 178955 - Failed Code Completion
Failed Code Completion
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P2 (vote)
: TBD
Assigned To: rmatous
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 00:44 UTC by urkman
Modified: 2010-02-08 21:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description urkman 2009-12-22 00:44:28 UTC
Hello,

With the following Code, Code Completion is not working:
I tried to make a simple example.

In my Code I decide on a given variable, if I need to load an Object or I need to create a new one. After this lines, I don't have Code Completion on my Object.

Hope this code help to find the bug.

Thanks and greetings,
Stefan Sturm


<?php

class foo
{
	protected $bar = 1;

	/**
	 *
	 * @return foo
	 */
	public static function find( $pId )
	{

	}

	public function getBar()
	{
		return $this->bar;
	}
	
}


if ( $id != NULL ) {
	$foo = foo::find( $id );
} else {
	$foo = new foo();
}

$foo->|; // Here no completion

?>
Comment 2 Quality Engineering 2010-02-03 21:54:28 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/17f8fa881416
User: Radek Matous <rmatous@netbeans.org>
Log: #178955 -  Failed Code Completion
Comment 3 Quality Engineering 2010-02-08 21:39:45 UTC
Integrated into 'main-golden', will be available in build *201002090200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a8b86052f62b
User: Radek Matous <rmatous@netbeans.org>
Log: #178955 -  Failed Code Completion II


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo